Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0024649
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Discounts and Promotionsminoralways2013-09-02 10:432013-09-10 09:59
ReportersureshbabuView Statuspublic 
Assigned Tomarvintm 
PrioritylowResolutionfixedFixed in VersionRMP26.1
StatusclosedFix in branchFixed in SCM revisionc43b734f7969
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomarvintm
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0024649: RMP26.1: Error in Tax base amount calculation and tax amount calculation(Buy X and get Y as gift)

DescriptionError in Tax base amount calculation and tax amount calculation(Buy X and get Y as gift)

Discount/Promotion Type :Buy X and get Y as gift
price list inclusive of taxes is used
Steps To Reproduce
1) From webpos, created receipt with below details

Product: Base camp lantern
Qty: 6

Product: Torch Mini
Qty: 7

2) Check that Discount/Promotion Type :Buy X and get Y as gift applied in the receipt

Big Lantern --> gift small one (-81.00)

3) Check the overall gross amount system shows 346.50 as expected

Defect: Check the Taxable amount and tax amount both are showing wrong values

Taxable amount: Expected :286.36 Actual:287.13
Tax amount: Expected: 60.14 Actual:60.30
TagsNo tags attached.
Attached Filespng file icon Taxable amount and tax amount calculation not working for price list inclusive of taxes.png [^] (220,546 bytes) 2013-09-02 10:43

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0060865)
hgbot (developer)
2013-09-02 16:23

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: d4f458f9489b111424224d0d7a7bfbbfbd8348ea
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Mon Sep 02 14:30:44 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/d4f458f9489b111424224d0d7a7bfbbfbd8348ea [^]

fixed issue 24649, fixed issue 24647: Some rounding problems has been resolved using price list including taxes

---
M web/org.openbravo.retail.posterminal/js/data/dataordertaxes.js
---
(0060896)
marvintm (developer)
2013-09-03 17:00

After the fix, the tax amount is 286,37. This is correct, as we currently are calculating the tax amount from the sum of the tax amount of the lines. In the ERP its also possible to calculate the tax amount directly from the order gross. However, this is currently not possible in the Web POS, an issue has been logged for it:

https://issues.openbravo.com/view.php?id=24618 [^]
(0060936)
hgbot (developer)
2013-09-05 14:19

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: c43b734f79698b84d9da72178a37b1f1d134fd0d
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Mon Sep 02 14:30:44 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/c43b734f79698b84d9da72178a37b1f1d134fd0d [^]

fixed issue 24649, fixed issue 24647: Some rounding problems has been resolved using price list including taxes

---
M web/org.openbravo.retail.posterminal/js/data/dataordertaxes.js
---
(0060946)
priyam (administrator)
2013-09-05 14:21

closing as status changed by RMP26.1 merge process
(0061005)
hgbot (developer)
2013-09-10 09:55

Repository: erp/pmods/org.openbravo.retail.posterminal-levelpricing
Changeset: d4f458f9489b111424224d0d7a7bfbbfbd8348ea
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Mon Sep 02 14:30:44 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-levelpricing/rev/d4f458f9489b111424224d0d7a7bfbbfbd8348ea [^]

fixed issue 24649, fixed issue 24647: Some rounding problems has been resolved using price list including taxes

---
M web/org.openbravo.retail.posterminal/js/data/dataordertaxes.js
---
(0061026)
hgbot (developer)
2013-09-10 09:58

Repository: erp/pmods/org.openbravo.retail.posterminal-levelpricing
Changeset: c43b734f79698b84d9da72178a37b1f1d134fd0d
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Mon Sep 02 14:30:44 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-levelpricing/rev/c43b734f79698b84d9da72178a37b1f1d134fd0d [^]

fixed issue 24649, fixed issue 24647: Some rounding problems has been resolved using price list including taxes

---
M web/org.openbravo.retail.posterminal/js/data/dataordertaxes.js
---
(0061037)
guilleaer (developer)
2013-09-10 09:59

reclosed

- Issue History
Date Modified Username Field Change
2013-09-02 10:43 sureshbabu New Issue
2013-09-02 10:43 sureshbabu Assigned To => marvintm
2013-09-02 10:43 sureshbabu File Added: Taxable amount and tax amount calculation not working for price list inclusive of taxes.png
2013-09-02 10:43 sureshbabu Triggers an Emergency Pack => No
2013-09-02 16:23 hgbot Checkin
2013-09-02 16:23 hgbot Note Added: 0060865
2013-09-02 16:23 hgbot Status new => resolved
2013-09-02 16:23 hgbot Resolution open => fixed
2013-09-02 16:23 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/d4f458f9489b111424224d0d7a7bfbbfbd8348ea [^]
2013-09-03 17:00 marvintm Review Assigned To => marvintm
2013-09-03 17:00 marvintm Note Added: 0060896
2013-09-03 17:00 marvintm Status resolved => closed
2013-09-03 17:00 marvintm Fixed in Version => RMP26.1
2013-09-05 14:19 hgbot Checkin
2013-09-05 14:19 hgbot Note Added: 0060936
2013-09-05 14:19 hgbot Status closed => resolved
2013-09-05 14:19 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/d4f458f9489b111424224d0d7a7bfbbfbd8348ea [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/c43b734f79698b84d9da72178a37b1f1d134fd0d [^]
2013-09-05 14:21 priyam Note Added: 0060946
2013-09-05 14:21 priyam Status resolved => closed
2013-09-10 09:55 hgbot Checkin
2013-09-10 09:55 hgbot Note Added: 0061005
2013-09-10 09:55 hgbot Status closed => resolved
2013-09-10 09:55 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/c43b734f79698b84d9da72178a37b1f1d134fd0d [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-levelpricing/rev/d4f458f9489b111424224d0d7a7bfbbfbd8348ea [^]
2013-09-10 09:58 hgbot Checkin
2013-09-10 09:58 hgbot Note Added: 0061026
2013-09-10 09:58 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-levelpricing/rev/d4f458f9489b111424224d0d7a7bfbbfbd8348ea [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-levelpricing/rev/c43b734f79698b84d9da72178a37b1f1d134fd0d [^]
2013-09-10 09:59 guilleaer Status resolved => closed
2013-09-10 09:59 guilleaer Note Added: 0061037


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker